- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Gets a rule at the specified priority.
HTTP request
GET https://compute.s3nsapis.fr/compute/v1/projects/{project}/global/securityPolicies/{securityPolicy}/getRule The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
securityPolicy |
Name of the security policy to which the queried rule belongs. |
Query parameters
| Parameters | |
|---|---|
priority |
The priority of the rule to get from the security policy. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Rule.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.securityPolicies.get
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.